S=input('请输入学生成绩S:');
s1=fix(S/10);
switch s1
    case {10,9}
       disp(['S=',num2str(S),'为优秀']);
    case 8
       disp(['S=',num2str(S),'为良好']);
    case 7
       disp(['S=',num2str(S),'为中等']);
    case 6
       disp(['S=',num2str(S),'为及格']);   
    otherwise
       disp(['S=',num2str(S),'不及格']);
end
